"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const element_1 = require("./element");
const dom_1 = require("html-validate/build/dom");
test("should add dynamic text when ng-bind is present", () => {
    const node = new dom_1.HtmlElement("foo");
    node.setAttribute("ng-bind", "bar", null, null);
    element_1.processElement(node);
    expect(node.childNodes).toEqual([expect.any(dom_1.TextNode)]);
});
test("should add dynamic text when ng-bind-html is present", () => {
    const node = new dom_1.HtmlElement("foo");
    node.setAttribute("ng-bind-html", "bar", null, null);
    element_1.processElement(node);
    expect(node.childNodes).toEqual([expect.any(dom_1.TextNode)]);
});
test("should add dynamic text when translate is present", () => {
    const node = new dom_1.HtmlElement("foo");
    node.setAttribute("translate", "bar", null, null);
    element_1.processElement(node);
    expect(node.childNodes).toEqual([expect.any(dom_1.TextNode)]);
});
test("should not add dynamic text if no dynamic content attribute is present", () => {
    const node = new dom_1.HtmlElement("foo");
    element_1.processElement(node);
    expect(node.childNodes).toEqual([]);
});
